GenAI Integration

List batch jobs (Gemini format)

Lists batch jobs in Gemini format. Supports pageSize / pageToken pagination.

GET
/genai/v1beta/batches
AuthorizationBearer <token>

Bearer token authentication. Use your MPilot virtual-key JWT or admin JWT. Virtual keys (prefixed with sk-bf-) can also be passed here.

In: header

Query Parameters

pageSize?integer
pageToken?string

Response Body

curl -X GET "https://loading/{AI_GATEWAY_URL}/genai/v1beta/batches?pageSize=0&pageToken=string"
{}
{
  "error": {
    "code": 0,
    "message": "string",
    "status": "string",
    "details": [
      {
        "@type": "string",
        "fieldViolations": [
          {
            "description": "string"
          }
        ]
      }
    ]
  }
}
{
  "error": {
    "code": 0,
    "message": "string",
    "status": "string",
    "details": [
      {
        "@type": "string",
        "fieldViolations": [
          {
            "description": "string"
          }
        ]
      }
    ]
  }
}
On this page

On this page

No Headings